Zinnia: zinnia::Character Class Reference

# zinnia::Character Class Reference

`#include <zinnia.h>`

List of all members.

## Public Member Functions
virtual void | set_value (const char *str, size_t length)=0
virtual void | set_value (const char *str)=0
virtual const char * | value () const =0
virtual void | set_width (size_t width)=0
virtual void | set_height (size_t height)=0
virtual size_t | width () const =0
virtual size_t | height () const =0
virtual void | clear ()=0
virtual bool | add (size_t id, int x, int y)=0
virtual size_t | strokes_size () const =0
virtual size_t | stroke_size (size_t id) const =0
virtual int | x (size_t id, size_t i) const =0
virtual int | y (size_t id, size_t i) const =0
virtual bool | parse (const char *str)=0
virtual const char * | what ()=0
virtual bool | parse (const char *str, size_t length)=0
virtual bool | toString (char *buf, size_t length) const =0
virtual | ~Character ()
## Static Public Member Functions
static Character * | create ()

## Constructor & Destructor Documentation

virtual zinnia::Character::~Character | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void zinnia::Character::set_value | ( | const char * | str,
|  | size_t | length |
| ) |  |  | `[pure virtual]`

virtual void zinnia::Character::set_value | ( | const char * | str | ) | `[pure virtual]`

virtual const char* zinnia::Character::value | ( |  | ) | const`[pure virtual]`

virtual void zinnia::Character::set_width | ( | size_t | width | ) | `[pure virtual]`

virtual void zinnia::Character::set_height | ( | size_t | height | ) | `[pure virtual]`

virtual size_t zinnia::Character::width | ( |  | ) | const`[pure virtual]`

virtual size_t zinnia::Character::height | ( |  | ) | const`[pure virtual]`

virtual void zinnia::Character::clear | ( |  | ) | `[pure virtual]`

virtual bool zinnia::Character::add | ( | size_t | id,
|  | int | x,
|  | int | y |
| ) |  |  | `[pure virtual]`

virtual size_t zinnia::Character::strokes_size | ( |  | ) | const`[pure virtual]`

virtual size_t zinnia::Character::stroke_size | ( | size_t | id | ) | const`[pure virtual]`

virtual int zinnia::Character::x | ( | size_t | id,
|  | size_t | i |
| ) |  |  | const`[pure virtual]`

virtual int zinnia::Character::y | ( | size_t | id,
|  | size_t | i |
| ) |  |  | const`[pure virtual]`

virtual bool zinnia::Character::parse | ( | const char * | str | ) | `[pure virtual]`

virtual const char* zinnia::Character::what | ( |  | ) | `[pure virtual]`

virtual bool zinnia::Character::parse | ( | const char * | str,
|  | size_t | length |
| ) |  |  | `[pure virtual]`

virtual bool zinnia::Character::toString | ( | char * | buf,
|  | size_t | length |
| ) |  |  | const`[pure virtual]`

static Character* zinnia::Character::create | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- /home/taku/.trunk/zinnia/zinnia.h